Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Buffer Class Reference
Inheritance diagram for Buffer:

## Public Member Functions
| Buffer (int size)
int | get_length () const
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object.
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise.
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack.
void | ref () const
| Explicitly increments the reference count.
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero.
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus.
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus.
virtual bool | unref () const
| Explicitly decrements the reference count.
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one.
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object.
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object.
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Public Attributes
char * | _buffer
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count.

## Additional Inherited Members
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()

## Detailed Description

Definition at line 24 of file buffer.h.

## Constructor & Destructor Documentation

## ◆ Buffer()

Buffer::Buffer | ( | int | size | ) |

Definition at line 19 of file buffer.cxx.

## ◆ ~Buffer()

Buffer::~Buffer | ( |  | ) |

Definition at line 28 of file buffer.cxx.

## Member Function Documentation

## ◆ get_length()

int Buffer::get_length | ( |  | ) | const
| inline

Definition at line 17 of file buffer.I.

## Member Data Documentation

## ◆ _buffer

char* Buffer::_buffer

Definition at line 35 of file buffer.h.

The documentation for this class was generated from the following files:

- panda/src/express/buffer.h
- panda/src/express/buffer.cxx
- panda/src/express/buffer.I